## com.google.javascript.jscomp
Class CodingConvention.AssertionFunctionSpec

    java.lang.Object
      com.google.javascript.jscomp.CodingConvention.AssertionFunctionSpec

Enclosing interface:
  CodingConvention

    public static class CodingConvention.AssertionFunctionSpec

extends Object

A function that will throw an exception when either: -One or more of its parameters evaluate to false. -One or more of its parameters are not of a certain type.

Constructor Summary
`CodingConvention.AssertionFunctionSpec(String functionName)`
`CodingConvention.AssertionFunctionSpec(String functionName, JSTypeNative assertedType)`

Method Summary
`Node` | `getAssertedParam(Node firstParam)` Returns the parameter of the assertion function that is being checked.
`JSTypeNative` | `getAssertedType()` Returns the type for a type assertion, or null if the function asserts that the node must not be null or undefined.
`String` | `getFunctionName()` Returns the name of the function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CodingConvention.AssertionFunctionSpec

    public CodingConvention.AssertionFunctionSpec(String functionName)

### CodingConvention.AssertionFunctionSpec

    public CodingConvention.AssertionFunctionSpec(String functionName,
                                                  JSTypeNative assertedType)

Method Detail

### getFunctionName

    public String getFunctionName()

  Returns the name of the function.

### getAssertedParam

    public Node getAssertedParam(Node firstParam)

  Returns the parameter of the assertion function that is being checked.

  Parameters:
    `firstParam` - The first parameter of the function call.

### getAssertedType

    public JSTypeNative getAssertedType()

  Returns the type for a type assertion, or null if the function asserts that the node must not be null or undefined.